Subject: Re: [Hipsec] Mirja Kühlewind's No Objection on draft-ietf-hip-rfc4423-bis-19: (with COMMENT)

From: Miika Komu <[email-masked]>
Date: Mon, 17 Dec 2018 12:37:12 +0000

Hi Mirja,

On 5/7/18 16:42, Mirja Kühlewind wrote:
> Mirja Kühlewind has entered the following ballot position for
> draft-ietf-hip-rfc4423-bis-19: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-hip-rfc4423-bis/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> A few minor high-level comments/questions:
> 
> 1) To me it feels that sec 11 doesn't really belong in this bis doc. Maybe that
> is rather an own report or can just go in the appendix?

ok, moving this to appendix.

> 2) Should this document maybe discuss connection migration as used by QUIC as
> an alternative (based on short term connection identifiers instead of course)?
> Background: to provide identities between two endpoints, I'd say that TLS is
> sufficient or even the more appropriate solution. However, this document does
> not talk very much about cases where the identify of other IP hosts (not
> endpoints) is important. Oft course it covers the mobility use case but that
> also seems less relevant with migration support in QUIC.

There are many protocols that HIP could be compared against but the WG 
did not pursue to do it in the context of this document. TLS and QUIC 
are application-layer protocols whereas HIP operates between transport 
and network layers, so I am not sure how fair comparison we could make. 
Also, at this stage of the draft I think it would better to reference 
some existing peer reviewed work but I doubt anyone has done a 
comparison of HIP and QUIC.